MUE(4)

NAME
mue - Microchip LAN75xx/LAN78xx 10/100/Gigabit USB Ethernet device

SYNOPSIS
mue* at uhub?
ukphy* at mii?

DESCRIPTION
The mue driver supports Microchip LAN7500/LAN7505/LAN7515/LAN7850 USB 2.0 Gigabit Ethernet devices including:

StarTech USB21000S2
Z-TEK ZE582

and LAN7800/LAN7801 USB 3.0 Gigabit Ethernet devices including:

Microchip EVB-LAN7800LC
Raspberry Pi 3 Model B+ (USB 2.0)

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), ukphy(4), usb(4), ifconfig(8)

HISTORY
The mue device driver first appeared in OpenBSD 6.3 and NetBSD 9.0.

AUTHORS
-nosplit The mue driver was written by Kevin Lo <kevlo@openbsd.org> for OpenBSD and ported to NetBSD by Rin Okuyama <rin@netbsd.org>.

BUGS
If the media type is set to other than 1000BASE-T full-duplex, data transmission becomes quite unstable. Also, ukphy mistakenly recognizes 1000BASE-T half-duplex as a supported media type, although the adapters do not support it.